### Method

# St Adjustment adjust_for_scroll_event

#### Declaration [src]

    void
    st_adjustment_adjust_for_scroll_event (
      StAdjustment* adjustment,
      gdouble delta
    )

#### Description [src]

Adjusts the adjustment using delta values from a scroll event. You should use this instead of using `st_adjustment_set_value()` as this method will tweak the values directly using the same math as GTK+, to ensure that scrolling is consistent across the environment.

#### Parameters

`delta`

  Type: `gdouble`

  A delta, retrieved directly from `clutter_event_get_scroll_delta()` or similar.